org.red5.server.jmx.mxbeans

## Interface ContextMXBean

All Known Implementing Classes:
  Context

    @MXBean
    public interface ContextMXBean

This is basic context implementation used by Red5.

### Method Summary

Methods
`org.springframework.context.ApplicationContext` `getApplicationContext()`
`Object` `getBean(String beanId)`
`IClientRegistry` `getClientRegistry()`
`Object` `getCoreService(String beanId)`
`IScope` `getGlobalScope()`
`IMappingStrategy` `getMappingStrategy()`
`IPersistenceStore` `getPersistanceStore()`
`org.springframework.core.io.Resource` `getResource(String path)`
`org.springframework.core.io.Resource[]` `getResources(String pattern)`
`IScope` `getScope()`
`IServiceInvoker` `getServiceInvoker()`
`IScopeHandler` `lookupScopeHandler(String contextPath)`
`Object` `lookupService(String serviceName)`
`IScope` `resolveScope(IScope root, String path)`
`IScope` `resolveScope(String path)`
`IScope` `resolveScope(String host, String path)`
`void` `setContextPath(String contextPath)`

### Method Detail

#### getGlobalScope

    IScope getGlobalScope()

#### resolveScope

    IScope resolveScope(String path)

#### resolveScope

    IScope resolveScope(IScope root,
                      String path)

#### getPersistanceStore

    IPersistenceStore getPersistanceStore()

#### getApplicationContext

    org.springframework.context.ApplicationContext getApplicationContext()

#### setContextPath

    void setContextPath(String contextPath)

#### getClientRegistry

    IClientRegistry getClientRegistry()

#### getScope

    IScope getScope()

#### getServiceInvoker

    IServiceInvoker getServiceInvoker()

#### lookupService

    Object lookupService(String serviceName)

#### lookupScopeHandler

    IScopeHandler lookupScopeHandler(String contextPath)

#### getMappingStrategy

    IMappingStrategy getMappingStrategy()

#### getResources

    org.springframework.core.io.Resource[] getResources(String pattern)
                                                        throws IOException

Throws:
  `IOException`

#### getResource

    org.springframework.core.io.Resource getResource(String path)

#### resolveScope

    IScope resolveScope(String host,
                      String path)

#### getBean

    Object getBean(String beanId)

#### getCoreService

    Object getCoreService(String beanId)